ChangeSet 1.1608.84.12, 2004/03/09 17:25:08-08:00, david-b@pacbell.net

[PATCH] USB: usbnet and ALI M5632

Some of the 480 Mbit/sec USB host-to-host links have ALI
chips in them.  They seem to work with no problem, given
this patch, even when the ends talk different speed.


 drivers/usb/net/Kconfig  |    8 ++++++++
 drivers/usb/net/usbnet.c |   24 ++++++++++++++++++++++++
 2 files changed, 32 insertions(+)


diff -Nru a/drivers/usb/net/Kconfig b/drivers/usb/net/Kconfig
--- a/drivers/usb/net/Kconfig	Tue Mar 16 15:03:11 2004
+++ b/drivers/usb/net/Kconfig	Tue Mar 16 15:03:11 2004
@@ -131,6 +131,14 @@
 comment "USB Host-to-Host Cables"
 	depends on USB_USBNET
 
+config USB_ALI_M5632
+	boolean "ALi M5632 based 'USB 2.0 Data Link' cables"
+	depends on USB_USBNET
+	default y
+	help
+	  Choose this option if you're using a host-to-host cable
+	  based on this design, which supports USB 2.0 high speed.
+
 config USB_AN2720
 	boolean "AnchorChips 2720 based cables (Xircom PGUNET, ...)"
 	depends on USB_USBNET
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Tue Mar 16 15:03:11 2004
+++ b/drivers/usb/net/usbnet.c	Tue Mar 16 15:03:11 2004
@@ -384,6 +384,23 @@
 }
 
 
+#ifdef	CONFIG_USB_ALI_M5632
+#define	HAVE_HARDWARE
+
+/*-------------------------------------------------------------------------
+ *
+ * ALi M5632 driver ... does high speed
+ *
+ *-------------------------------------------------------------------------*/
+
+static const struct driver_info	ali_m5632_info = {
+	.description =	"ALi M5632",
+};
+
+
+#endif
+
+
 #ifdef	CONFIG_USB_AN2720
 #define	HAVE_HARDWARE
 
@@ -3132,6 +3149,13 @@
  */
 
 static const struct usb_device_id	products [] = {
+
+#ifdef	CONFIG_USB_ALI_M5632
+{
+	USB_DEVICE (0x0402, 0x5632),	// ALi defaults
+	.driver_info =	(unsigned long) &ali_m5632_info,
+},
+#endif
 
 #ifdef	CONFIG_USB_AN2720
 {
